![Header](https://chaotikum.org/assets/header.png)

# Sets

Ein Set (im ordner `_sets` repräsentiert irgendeine logfische Gruppe von Geräten oder Werkzeugen im Inventar. Das kann nützlich sein um Arbeitsplätze zu gruppieren (Elektronik-Ecke). Werkzeuge die gemeinsam für eine Art von Arbeit genutzt (Holzwerkzeug) werden und daher oft gemeinsam gebucht werden zusammenzufassen, Ihaltliche gemeinsamkeiten zu beschreiben (Data-Protection) oder um gemeinsame Aufbewarung (Koffer Blau) zu dokumentieren.

Warum auch immer man ein Set anlegt, es ist, wie immer eine Markdown Datei. Diese liegt im Ordner `_sets` . Der name ist relativ beliebig aber muss im ordner einmalig sein. Üblicherweise entspricht er dem *Tag*.

- elektronik.md

Inhalt:

```
---
layout: sets
tag: "kofferblau"
name: "Video Koffer (Blau)"
loanable: true
---
```

* `layout`: Muss *immer* sets sein.
* `tag`: Der Tag des Objektes, daran wird es überall wiedererkannt, das ist also wichtig
* `name`: Ein Menschenlesbarer sinnvoller Name
* `loanable`: Sind Objekte in diesem Set verleihbar. Wenn ja gilt das für alle. Kann man bei *false* auch weglassen.
* `description`: Eine Beschreibung.

### Wo wird das genutzt

 * z.B. in der XML des Inventars unter https://chaotikum.org/nobreakspace/inventory.xml
 * Der Seite zur [Werkstatt](https://chaotikum.org/nobreakspace/werkstatt/)
 * Derm [Formular zum Entleihen von Objekten](https://chaotikum.org/nobreakspace/ausleihen/)

Und vermutlich noch vielen anderen stellen.
