![Header](https://chaotikum.org/assets/header.png)

## Liftoff

Liftoff ist die Antwort auf die Frage, wie man in den Space kommt. Es ist ein kleiner Guide, welcher das Chaos und uns ein wenig erklärt, einige Aktivitäten vorschlägt mit denen man Anfangen kann, Geräte kennen lernen, Menschen kennen lernen, Kultur kennen lernen.

Es findet sich unter https://chaotikum.org/nobreakspace/liftoff/

Dies ist weitestgehend nicht mit der restlichen Website verknüpft aber da es auf resourcen wie Gruppen, Events und Projekte zurück greift, ist es auch Teil des Repos. Dateien und Collections die damit im Zusammenhang stehen werden durch das präfix `lifotff` gekennzeichnet, es ist insbesondere

- Die Collection `_liftoffmissions` welche die im Rahmen des Kurses aufkommenden Aufgaben (Missionen) beinhaltet
- Markdown Dateien mit dem präfix `liftoff`
- Layout Dateien (in `_layout`) wie `liftoff.html` oder einzubindende Dateien in `_includes` wie `liftoff_js.html` oder `liftoff_cookieinfo.html` usw...

Diese Datein zusammen bilden den Kurs.

Die Frontmatter einer Lektion innerhalb des Kurses sieht folgendermaßen aus:

```
---
layout: liftoff
title: Liftoff at Nobreakspace
header: Dein erster Tag im Nobreakspace
permalink: /nobreakspace/liftoff/day1/
backlink: /nobreakspace/liftoff/
forwardlinks:
  - Hier geht es zum nächsten Teil;/nobreakspace/liftoff/part2/
forwardtitle: Was für ein Tag!
forwardtexts: 
  - So. Fertig. Ziemlich viel für einen Tag. Erstmal sacken lassen.
  - Neben den Räumlichkeiten, dem Nobreakspace, betreiben wir auch digitale Infrastruktur. Die kann man jederzeit und von überall kennenlernen, dafür muss der Nbsp nicht offen sein. Darum geht es im nächsten Teil.
image: "https://chaotikum.org/assets/liftoff2.jpg"
progressbar: 5
---
```

* `layout`: wie immer ein Pflichtfeld, wo der Wert **immer** liftoff sein muss.
* title: ist immer "Liftoff at Nobreakspace"
* header: Das ist die Überschrift, als Variable Notwendig für z.B. `lifotff_overview.md`
* permalink: Der Link unter dem die Seite später erreichbar ist
* backlink: Der Link der Lektion zu der der Link "Zurück" gesetzt wird. Wird üblicherweise vom Javascript durch den referer ersetzt, dies ist nur ein Backup.
* forwardlink: Der Link zur nächsten Lektion sowie der Text. Hier können mehrere Links aufgeführt werden, wenn man bei der nächsten Lektion Auswahl hat.
* forwardtitle: Am Ende der Lektion gibt es den grünen kasten, dies ist der Titel
* forwardtext: Der text in diesem Grünen kasten. Einzelne Absätze als Liste
* image: Immer  "https://chaotikum.org/assets/liftoff2.jpg"
* progressbar: Wie weit der Fortschrittsbalken sein soll. Das ist komplett manuell.

Darunter ist der Content der Lektion als einfacher Makrdown Text.

Innerhalb einer Lektion kann auf Missionen verlinkt werden, welche im `_liftoffmissions`  Eine solche verlinkung erfolgt durch:

```
{% include liftoff_mission.html missionid='4adec54a-1aa0-4b27-ba39-76c0260c8a68' %}
```

Dies funtkioniert auch für Sidequests.

### Missions and Sidequests

Haben ihre eigene Makrdown Datei mit eigener Frontmatter. Beispiele in `_liftoffmissions`.