![Header](https://chaotikum.org/assets/header.png)

# Die Chaotikum Video-Plattform
*Die Chaotikum Video Plattform ist (wie so vieles) aus dem Problem heraus entstanden, dass man es den Leuten nicht recht machen kann. Wir veröffentlichen unsere Videos auf unterschiedlichen Plattformen, aber wenn wir den Leuten bescheid sagen wollen, dass es was neues zu schauen gibt, mussten wir uns entscheiden, wohin wir linken. Zu Youtube, wo die meisten Videos geschaut werden (und welches auf sehr vielen geräten, sehr gut unterstützt wird)? Dann kriegen wir ärger, weil wir zum fiesen Großkonzern linken. Zu media.ccc.de? Dann sind Leute unglücklich weil sie ihre Youtube-Experience vermissen (und zudem gelingt es uns oft erst mit zeitverzögerung die Videos dort hochzladen), zu archive.org... well, lol. Nein. Also: Unsere Plattform. Man kann Videos da nicht anschauen, aber man kann sich frei entscheiden, wo man sie anschauen will.* **Daher auch die Bitte, linkt immer diese Plattform für von uns prodzuioerte Videos und lasst den Menschen ihre Entscheidung.**

Die eigentliche Plattform ist, technisch, auch wieder nur ein Ordner voller Makrdown. In diesem Fall der ordner `_media`. Wie im Namen zu sehen, muss es sich dabei nicht um ein Video handeln, aber faktisch ist das, worum es hier geht.

### Die Markdown Datei

Die Datei kann sehr groß sein und viel frontmatter brauchen, oder auch nicht. Das hängt insbesondere Damit zusammen, ob es ein Event (mehr ü+ber Events im Kapitel [Events im Kalender](/docs/content/events.md)) gibt. Dann können viele Daten von Dort übernommen werden. Es empfihelt sich also Dateien zu ähnlichen Videos anzusehen um das abzuschätzen.

```
---
layout: video
release_date: 2024-01-08 07:35:00 +0100
recording_date: 2023-11-03 18:00:00 +0100
duration: "00:45"
room: AMS3
title:  "evcc – Open Source Sonne tanken"
subtitle: "Dumme Wallboxen smart machen. Grünen und günstigen Strom laden."
persons:
- "Michael Geers"
fahrplan_url: https://2023.nook-luebeck.de/talks/evcc---open-source-sonne-tanken/
file: "https://video.chaotikum.net/nook23/2023-11-03-evcc---open-source-sonne-tanken.mov"
yt: "https://www.youtube.com/watch?v=NDojtAABuiw"
archive: "https://archive.org/details/2023-11-03-evcc---open-source-sonne-tanken"
mccc: "https://media.ccc.de/v/2023-11-03-evcc-e2-80-93-open-source-sonne-tanken"
#https://www.uuidgenerator.net/
uid: dae614e2-db81-4b6e-95d9-1acd3c4aee29
ticket_id: 1475
closedcaption: "https://git.chaotikum.org/chaotikum/video/subtitles/-/raw/main/nook23/2023-11-03-evcc---open-source-sonne-tanken.vtt"
cccomputergen: true
event: a047c701-1ec4-48a3-9d8e-5aaa94fd7158
conferences:
- nook2023
- nook
---
evcc ist eine Open-Source-Software, die deine heimische Wallbox steuert. Damit lädt dein E-Auto oder E-Bike automatisch, wenn eigene PV-Energie verfügbar ist oder der Strom aus dem Netz besonders regenerativ oder günstig ist. Im Gegensatz zu vielen Hersteller-Ökosystemen oder Clouddiensten funktioniert evcc herstellerübergreifend und läuft in deinen eigenen vier Wänden auf deiner Hardware. Dafür bietet die Software Integrationen zu allen gängigen Stromzählern, PV- & Batteriesystemen und Wallboxen an.

Hat dein Fahrzeug eine Online-Schnittstelle können noch deutlich mehr smarte Funktionen genutzt werden. Von preisoptimierter Ladeplanung bis hin zum detaillierten Ladelog mit realen Preisen ist einiges möglich. Integrationen zu Smart-Home Systemen und Plugin-Schnittstellen für erweiterte Bedürfnisse sind natürlich auch vorhanden.

Dieser Talk gibt einen Überblick über den Funktionsumfang und Hintergrund zur Entwicklung der Software.
```

* `layout`: Muss immer *video* sein.
* `release_date`: **Darf erst gefüllt werden, wenn eine Freigabe vorliegt**, denn in manchen Dateien erscheint es dann auch schon mit URLs zu weiterverarbeitung bis zur Veröffentlichung (Untertiel Erstellung usw...). Veröffentlichung erfolgt durch das regelmäßige Bauen der Website dann auf der [Medien-Seite](https://chaotikum.org/media/) zu diesem Zeitpunkt.
* `recording_date`: Füllen sobald bekannt. **Bei Medien die mit einem Event verknüpft sind kann man das weglassen, wenn das Event so kurz ist, dass das effektiv identisch ist.** bei der NooK eher nicht.
* `duration`: Dauer. In xx:xx notation (stunden:minuten) sehr wichtig für das frab.xml/conference.xml kann sonst im media.ccc.de backend zu Fehlern führen. **Bei Medien die mit einem Event verknüpft sind kann man das weglassen, wenn das Event so kurz ist, dass das effektiv identisch ist.**
* `room`: Ein bezeichner für den Raum. Auch wieder insbesondere für die Weiterverarbeitung wichtig. **Bei Medien die mit einem Event verknüpft sind kann man das weglassen, sofern das Event einen Raum hat**
* `title`: Titel des Medienobjekts. 
* `subtitle`: Hierbei handelt es sich um einen Zweittitel nicht uj Untertitel. Manche Formate haben sowas gerne. kein Pflichtfeld. Bei Nook irgendwie schon.
* `persons`: Liste von Menschen in dem Video
* `fahrplan_url`: Z.BN. Link zum Blogpost, wo das Angekündigt wurde oder so. **Bei Medien die mit einem Event verknüpft sind, das wiederum mit einem Blogpost verknüpft ist, kann man das weglassen.*
* `file`: Datei auf unserem Video FTP **ERST NACH FREIGABE EINTRAGEN, DIESE MARKDOWN DATEI LIEGT JA IN EINEM ÖFFENTLICHEN GITLAB**
* `yt`: Link zu der Youtube Datei (die wir ja auch non public für den Freigabe-Prozess nutzen) **ERST NACH FREIGABE EINTRAGEN, DIESE MARKDOWN DATEI LIEGT JA IN EINEM ÖFFENTLICHEN GITLAB**
* `archive`: Link zu der Datei auf archive.org
* `mccc`: Link zur Datei auf media.ccc.de
* `uid`: Die wie immer sehr wichtige uuid. Sie identifiziert überall das Video und ist auch für export-formate die eindeutige ID, die viele Systeme erwarten.
+ `project` eine Liste von Projekt Tags, zu denen das Video gehört. Führt dazu, dass das Projekt aktualisiert wird.
* `ticket_id`: Eine ID ist aber leider nicht genug. Es braucht eine zweite (möglichst) eindeutige ID, die kürzer ist, weil manche Client Systeme so lange Strings nicht mögen (z.B. c3VOC Tracker). Diese ID ist immer die Ticket ID aus dem Redmine. Mehr zur Arbeit mit Redmine im Kapitel [Ticket-verwaltung über Redmine](/docs/content/video-redmine.md). Gibt man es nicht an versuchen wir was zu errechnen, aus der UID und dem Datum... aber das ist halt nicht garatiert eindeutig.
* `closedcaption`: Link zu der Datei mit den Untertiteln in unserem Gitlab
* `cccomputergen`: Annotiert, das die Untertitel mit automatischen Systemen erstellt und nicht geprüft oder verbessert wurden. Dies wird dann auf der Übersicht auch entsprechend vermittelt.
* `event`: Die uuid eines Events zu dem das Video gehört. Wenn das vorhanden ist kann man sich viele Daten sparen, weil sie von dort gezogen werden.
* `conferences`: Liste von Conferences (Ordner `_conferences`). Hier ist jeweils das Feld *acronym* anzugeben, das in der entsprechenden Konferenz angegeben ist.
* `slides`: Link zu einem ort, wo man Vortragsfolien runterladen kann
* `image`: Kann man meistens weglassen. Wenn in unserem Video-FTP an den richtigen Stellen zwei PNGs liegen, die genauso heißen wie die Video-Datei, dann geht das von alleine. Wenn nicht... nicht. Dann ist hier das Thumbnail anzugeben. Das ist aber nicht empfehlenswert, dann funktioieren z.B. viele SharePic Sachen nicht so gut. Video-FTP ist zu bevorzugen (mehr dazu, weiter unten)
* `language`: Ein Sprachkürzel wie e*en* oder *es*. Wird nichts angegeben nutzen wir *de*.
* `optout`: Brauchen wir üblicherweise nicht aber frab.xml/conference.xml ist ein fan davon. Kann man also angeben, wenn für einen Vortrag kein Video exitiert.
* `licence`: Auch hier wieder etwas magic. Wenn nichts besonderes ist, weglassen, dann geift der default, was [Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License (CC BY NC ND 4.0)](https://creativecommons.org/licenses/by-nc-nd/4.0/) ist. Aber man kann hier andere Strings angeben. manche werden dann einfach dargestellt, andere machen logik. Das kann man in `_layouts/video.html` nachlesen.

nach der Frontmatter folgt noch die lange Beschreibung des Videos.

### Was passiert mit diesen Infos aus den Dateien

Daraus
   - Wird unter https://chaotikum.org/media/ eine Übersicht aller von uns erzeugten Medien erstellt
   - Unter https://chaotikum.org/media.xml ein Atom-RSS Feed erzeugt, über welchen sich Personen und Systeme über neue Video-Releases informieren lassen können (das wiederum geht auch raus nach mastodon)
   - Werden unter Blog-Posts zu Events Links zu in dem Event erzeugte Videos angezeigt (noch nicht umgesetzt; Girtlab Issue https://git.chaotikum.org/chaotikum/website/-/issues/54)
   - Wird für jedes erzeugte Video eine Seite erstellt, welche einen Überblick über die Orte gibt, an welchen man es sehen kann: Z.B. https://chaotikum.org/media/2022-05-18-10-jahre/ 
   - Kann das Video als Widget in Blogposts oder Pages eingebunden werden (Siehe kapitel [Medien wie Bilder oder Videos einbinden](/docs/content/embedmedia.md))
   - Wird ein [[https://github.com/frab/schedule.xml/tree/master/schema|frab-schedulle XML]] erzeugt, sofern eine entsprechende Conference existiert (siehe unten)
   - Wir das Video genutzt um Tätigkeit bei einer Aktivoität zu berechnen (noch nicht umgesetzt: Gitlab Issue https://git.chaotikum.org/chaotikum/website/-/issues/50). mehr zu Aktivitäten im Kapitel [Projekte und Aktivitäten](/docs/content/activities.md).


Kernstück ist hier insbesondere diese frab.xml Datei

Das passiert in der Datei `_layouts/frab.xml` mithilfe der Liquid-Templating Sprache und ist alles andere als Leicht zu lesen. Die zu erstellende Datei soll dem Frab/Schedulle XML entsprechen. Hierbei werden insbesondere Daten aus drei Dateien kombiniert:

- Den Meta Informationen zu einem Video in `_media` - Den Informationen zu einer Konferenz in `_conference` - Den Informationen zu einem Event in `_event`

Diese sind jeweils verknüpft. Ein Video gehört zu mehreren Konferenzen (*acronym* der Conference in der Liste conferences) und einem Event (uid des Events in event).

### Conferences (und Conference Frab)

Die Bezeichnung Konferenz (Conference) haben wir aus der XML Repräsentation übernommen, die früher aus der frab-Software kam und welche immenroch vielerorts als de-facto import Format dient. Z.B. Event-Apps oder auch der c3VOC Tracker. Eine Konferenz ist eine logische gruppe von Videos, z.B. die 5 Minuten Termine, eine NooK, Softwerkskammer oder auch eifnach alles was im NBSP Stattfindet. Man kann das flexibel einsetzen.

Sie bilden eine Klammer um bestimmte Videos und machen viel spannende Magic bei der Darstellung der Videos auf der Website und den Exportformaten (XML/RSS/ICS....)

Die entsprechenden Markdwon Dateien finden sich im Ordner `_conferences`.

Die Datei ist einfach irgendein im Ordner eindeutiger OK lesbarer Name

- 5min.md

Inhalt:

```
---
layout: conference
title: Fünf Minuten Termine
acronym: 5min
ecki: true
base_url: https://chaotikum.org/conferences/5min/
logo: /assets/5mintlogo.png
---

Ein Vortrag im Rahmen der Fünf-Minuten-Termine. Die Idee ist eigentlich einfach: Ab und zu nutzen wir das volle Haus und jede Person, die möchte, kann kurz vorstellen, was auch immer ihr vorschwebt.
```

* `layout`: Muss immer *conference* sein.
* `title`: Der offizielle, menschenlesbare Name der Veranstaltungsreihe oder Konferenz
* `acronym`: Kurzbezeichnung. Muss eindeutig sein. Wird genutzt, um z.B. in Media-Dateien im Ordner `_media` zu einer Konferenz zu verlinken
* `ecki`: *true* oder *false* (Default ist *false*) Zeigt an, ob der Titel der Veranstaltungsreihe in der Darstellung eines Videos üblicherweise in eckigen Klammern hinter den Namen des Videos gestellt wird
* `base_url`: Base URL. Idealerweise ein ort, wo man mehr über die Konferenz erfährt... wird aber nirgends so richtig genutzt, ist ggf egal. Irgendwas sollte man hinschreiben.
* `logo`: Konferenzen haben ggf ein Logo. Das sollte in unseren assets liegen.
* `name_before_title`: Bei manchen Konferenzen schreiben wir den Namen des Speakers (oder der Speaker) vor den Titel des Talks, dann *true*. Default ist *false*.
* `name_after_title`: Bei manchen Konferenzen schreiben wir den Namen des Speakers (oder der Speaker) hinter den Namen des Vortrags. Dann *true* default *false*


Neben diesem ordner gibt es den ordner `_conferencefrab`. Dieser ist notwendig, damit neben einer Representation einer Konferenz auf der Website eine frab.xml/conference.xml für die Weiterverarbeitung erzeugt weden kann. Da Jekyll pro Markdown-Datei lediglich ein Layout erlaubt, brauchen wir hier eine Behelfsdatei. Wenn für eine Konferenz keine solche Datei nötig ist, kann darauf verzichtet werden.

Die Datei ist denkbar simpel, 

```
---
layout: [frab]
title: 5min
---
```
* `layout`: Muss immer *[frab]* sein. Eckige Klammern sind wichtig um jekyll zu zwingen keine html zu bauen.
* `title`: dies muss dem Feld *acronym* der Konferenz entsprechen.

### Ein komplexer Prozess mit vielen Abhängigkeiten
Weil Medien nicht nur einfach so existieren ist der prozess ungewöhnlich komplexx und es gibt eine Extra Arbeitsgruppe, die [Video-AG](https://wiki.chaotikum.org/ag:video, die sich hier primär kümmert.

Das beinhaltet Workflows zur Freigabe von Videos, Hosting auf externen Seiten, veröffentlichung vion Informationen auf Social MEdia und vieles, vieles mehr.

Es gibt sogar [einen Vortrag darüber](https://chaotikum.org/media/2024-01-26-die-arbeit-der-video-ag/).

Eine rudimentäre Doku ist hier, aber vermutlich muss man mit der AG reden.

#### Der Workflow bei der Gestaltung von Medien

Wir erstellen die Datei üblicherweise, sobald grob klar ist, dass ggf ein Vortrag oder Workshop existiert. Dabei ist erstmal etwas egal, ob wir den aufzeichnen oder nicht. Stattfinden sollte er wohl hoffentlich. Da das sicher auch auf der Website irgendwo steht, ist es kein geheimnis, un man kann schonmal ne Datei anlegen. Die stößt auch im Redmine den Prozess an, das ist hilfreich. Gibt es dann kein Video, auch egal, die taucht dann nirgends auf, aber tut auch nicht weh.

Für den Rest verweise ich mal auf das Video vom [Vortrag darüber](https://chaotikum.org/media/2024-01-26-die-arbeit-der-video-ag/). Mehr dazu im Kapitel [Ticket-verwaltung über Redmine](/docs/content/video-redmine.md).

#### Thumbnails und Download-Files

Liegen auf unserem FTP unter video.chaotikum.net. Mehr dazu im Kapitel [video.chaotikum.net](/docs/content/videoftp.md).

#### Untertitel-Archiv

[Subtitles-Project on Gitlab](/docs/content/subtitles.md)

#### Links zu externen Media-Plattformen

[Hosting auf externen Plattformen](/docs/content/external-plattforms-media.md)