![Header](https://chaotikum.org/assets/header.png)

# Auf deinem Rechner an der Website arbeiten

Wenn ich an der Website arbeite, sollte ich sie lokal testen. Dafür musst du zuerst den Inhalt dieses git-repositorties auf deinen Rechner klonen.

Wenn du unsicher bist, wie du mit git arbeitest, gibt es dazu verschiedene Resourcen, am besten einfach mal googlen.

### Website lokal starten

Die Website wird mit [Jekyll](https://jekyllrb.com/) betrieben, das muss man also erstmal installieren. Das Tutorial findet man [hier](https://jekyllrb.com/docs/installation/). Dort findet man auch aktuelle Hinweise zur minimalen Ruby Version die benötigt wird.

	gem install bundler jekyll

Install depencies:

	gem install bundler
	bundle install

Build:

	bundle exec jekyll build

Or launch a webserver with consecutive builds:

	bundle exec jekyll serve

### Ruby Versionen

Aktuell verwendet der Runner Ruby 2.5.5. Lokal kann man zum Beispiel auch Ruby 2.6.9 verwenden. Ganz moderne Ruby-Versionen funktionieren eher nicht so gut.

### Truble Shouting

#### Persmissions
Bei

	gem install bundler jekyll

kann die Rückmeldung
     
	You don't have write permissions for...

kommen. Entweder versuche es mit _Sudo_ oder installiere es mit _--user-install_. Siehe [diesem Hinweis](https://talk.jekyllrb.com/t/unable-to-install-jekyll-on-mac-os-10-15/5127).

#### Failed To Build Native Extension

Bei 

	gem install bundler jekyll

kann die Rückmeldung
	Error installing jekyll:
		ERROR: Failed to build gem native extension.

kommen. Vermutluch utner MacOS? [Hier sind einige Hinweise.](https://jekyllrb.com/docs/installation/macos/#install-jekyll)

Vielleicht ist das Problem auch die Ruby version?

	chruby 3.0.5 